# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-ExtUtils-InstallPaths
Version:	0.013
Release:	1.%{__distinit}%{__distvers}
Summary:	Build.PL install path logic made easy
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/ExtUtils-InstallPaths
Source0:	https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-InstallPaths-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::Config) >= 0.002
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(File::Spec::Functions) >= 0.83
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module tries to make install path resolution as easy as possible.

When you want to install a module, it needs to figure out where to install
things. The nutshell version of how this works is that default installation
locations are determined from ExtUtils::Config, and they may be individually
overridden by using the install_path attribute. An install_base attribute lets
you specify an alternative installation root like /home/foo and prefix does
something similar in a rather different (and more complicated) way. destdir
lets you specify a temporary installation directory like /tmp/install in case
you want to create bundled-up installable packages.

%prep
%setup -q -n ExtUtils-InstallPaths-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::InstallPaths.3*

%changelog
* Fri Apr 26 2024 Paul Howarth <paul@city-fan.org> - 0.013-1
- Update to 0.013
  - Try to install any installable paths

* Mon Apr 10 2023 Paul Howarth <paul@city-fan.org> - 0.012-17
- Use SPDX-format license tag
- Use %%license unconditionally

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 0.012-5
- Perl 5.30 rebuild

* Fri May 11 2018 Paul Howarth <paul@city-fan.org> - 0.012-1
- Update to 0.012
  - Allow an argument to install_map with source dirs
  - Make tests prove and 5.6 friendly
- Release tests moved to xt/, so don't bother with them
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.011-7
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Jun 25 2015 Paul Howarth <paul@city-fan.org> - 0.011-4
- Perl 5.22 rebuild

* Mon Feb 16 2015 Paul Howarth <paul@city-fan.org> - 0.011-1
- Update to 0.011
  - Make EU::IP compatible with perl 5.6
  - Declare dependency on File::Spec 0.83 for case_sensitive

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.010-3
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Tue Oct 29 2013 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010
  - Deprecated usage of legacy configuration variables
  - Generate default paths more dynamically
- Update patch for building with old ExtUtils::MakeMaker versions

* Sat Jul 20 2013 Paul Howarth <paul@city-fan.org> - 0.009-4
- Perl 5.18 rebuild

* Sun Mar 31 2013 Paul Howarth <paul@city-fan.org> - 0.009-1
- Initial RPM version
